Subject: Re: 24.3.91; utf-8 coding system for etc/NEWS
From: Paul Eggert <[email-masked]>
To: "Roland Winkler" <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 May 2014 15:37:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks, I fixed that in emacs-24 bzr 117150, along with four other 
instances of the same problem that I found, and am marking this bug as done.

I didn't adjust files taken from Gnulib, though, as it's not worth the 
hassle of maintaining a separate version of these files just for this 
reason.  (The Gnulib folks switched to UTF-8 source code long ago and 
aren't looking back.)  So you'll still see a problem with reading 
Andreas Grünbacher's name in the comments in lib/qcopy-acl.c, 
lib/acl-internal.h, and lib/file-has-acl.c.

Also, there are two tiny ASCII-only files (doc/misc/gnus-overrides.texi, 
nextstep/Cocoa/Emacs.base/Contents/PkgInfo) which Emacs in a Latin-9 
locale for some reason decides should be iso-latin-9 rather than utf-8. 
  I dunno why that would be, but I assume you won't be editing those 
files so it should be OK.